Bug 35228 - [PATCH] fall back to reading /etc/machine-id if D-Bus machine ID is not available
Summary: [PATCH] fall back to reading /etc/machine-id if D-Bus machine ID is not avail...
Status: RESOLVED FIXED
Alias: None
Product: dbus
Classification: Unclassified
Component: core (show other bugs)
Version: 1.4.x
Hardware: Other All
: medium normal
Assignee: Havoc Pennington
QA Contact: John (J5) Palmieri
URL:
Whiteboard: review+ from smcv, 1.4
Keywords: patch
Depends on:
Blocks: dbus-1.4
  Show dependency treegraph
 
Reported: 2011-03-11 13:50 UTC by Lennart Poettering
Modified: 2011-04-27 10:06 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments
the patch (1.58 KB, patch)
2011-03-11 13:50 UTC, Lennart Poettering
Details | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Lennart Poettering 2011-03-11 13:50:37 UTC
Created attachment 44366 [details] [review]
the patch

Newer systemd-based systems support a global machine ID with the same
metrics as the D-Bus machine ID, but more powerful semantics (for
example on ro media) in /etc/machine-id.

If the D-Bus machine ID cannot be read, fall back to the systemd machine
ID.

This is a first step towards allowing D-Bus to be started up during
early boot where /var is not available.
Comment 1 Simon McVittie 2011-03-14 09:11:16 UTC
r+ from me, and I'd be OK with this going into 1.4.
Comment 2 Colin Walters 2011-03-24 08:48:09 UTC
Comment on attachment 44366 [details] [review]
the patch


>+  dbus_error_free(error);

Missing space after identifier.
Comment 3 Simon McVittie 2011-04-27 10:06:29 UTC
Fixed in git for 1.4.10 and 1.5.2, with the whitespace fix Colin pointed out


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.